### Name: durationsGe
### Title: Durational measurements on the Dutch prefix ge-
### Aliases: durationsGe
### Keywords: datasets

### ** Examples

data(durationsGe)
durationsGe$Frequency = log(durationsGe$Frequency + 1)
durationsGe$YearOfBirth = durationsGe$YearOfBirth - 1900

durationsGe.lm = lm(DurationOfPrefix ~ Frequency+SpeechRate, data = durationsGe)
summary(durationsGe.lm)

# ---- model criticism

plot(durationsGe.lm)
outliers = c(271, 392, 256, 413, 118, 256)
durationsGe.lm = lm(DurationOfPrefix ~ Frequency + SpeechRate, 
  data = durationsGe[-outliers, ])
summary(durationsGe.lm)




